Bug 1157607 - [GSS] (6.3.z) JBWS-3842 - InjectionException: Value already set for this injector
Summary: [GSS] (6.3.z) JBWS-3842 - InjectionException: Value already set for this inje...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Services
Version: 6.3.3
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: CR1
: EAP 6.3.3
Assignee: Panagiotis Sotiropoulos
QA Contact: Rostislav Svoboda
URL:
Whiteboard:
Depends On: 1153954 1161448
Blocks: eap633-payload 1157479
TreeView+ depends on / blocked
 
Reported: 2014-10-27 11:17 UTC by baranowb
Modified: 2019-08-19 12:42 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1153954
Environment:
Last Closed: 2019-08-19 12:42:32 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker JBWS-3842 0 Major Closed Cannot boot server with 2+ handlers in the same predefined configuration handler chain 2016-06-30 05:12:20 UTC

Description baranowb 2014-10-27 11:17:54 UTC
+++ This bug was initially created as a clone of Bug #1153954 +++

jbossws-spi metadata immutability changes introduced a regressions when having multiple handlers in the same handler-chain within one of the pre-defined configuration in the webservices subsystem.

This happens during the boot.

Details in https://issues.jboss.org/browse/JBWS-3842 and https://source.jboss.org/changelog/JBossWS?cs=18995as

Fix needs to be incorporated into https://github.com/jbossas/jboss-eap/blob/6.x/webservices/server-integration/src/main/java/org/jboss/as/webservices/dmr/HandlerChainAdd.java when upgrading the stack.

--- Additional comment from Rostislav Svoboda on 2014-10-17 04:01:01 EDT ---

FishEye link is https://source.jboss.org/changelog/JBossWS?cs=18995

Comment 1 Panagiotis Sotiropoulos 2014-11-05 08:59:21 UTC
PR sent : https://github.com/jbossas/jboss-eap/pull/1880

Comment 2 Dominik Pospisil 2014-12-19 13:30:34 UTC
https://github.com/jbossas/jboss-eap/pull/2180

Comment 3 Jan Blizňák 2015-01-19 16:02:41 UTC
Verified on 6.3.3.CP.CR1

Comment 4 JBoss JIRA Server 2015-04-25 20:26:46 UTC
Alessio Soldano <asoldano@redhat.com> updated the status of jira JBWS-3842 to Closed


Note You need to log in before you can comment on or make changes to this bug.